From 745089524dc8b2b094b136a3d5e55449c9a042a7 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 13:50:08 +0000
Subject: [PATCH 18/51] add check_is_scalar() method and use it


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 71ba0d2..6928351 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -104,8 +104,7 @@ class ModuleMDLinter(object):
     Contains one method for each check to perform and scaffolding. The names of
     the methods performing checks begin with 'lint_', they do nothing if the
     check succeeds but throw a LintCheckFailed exception otherwise. An easy way
-    to do this is using the check()/check_true(), check_false() methods which
-    all accept boolean expressions."""
+    to do this is using the available check*() methods."""
 
     yaml_scalar_types = (str, int, float)
 
@@ -214,6 +213,10 @@ class ModuleMDLinter(object):
         """Check that a value is not True or true-like."""
         self.check_true(not expr)
 
+    def check_is_scalar(self, value):
+        """Check that a value is of a scalar type."""
+        self.check_true(isinstance(value, self.yaml_scalar_types))
+
     # lint checks below
 
     @error
@@ -341,11 +344,8 @@ class ModuleMDLinter(object):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
-        self.check(all(
-            isinstance(k, self.yaml_scalar_types)
-            and isinstance(v, self.yaml_scalar_types)
-            for k, v in
-            self.yaml_data['dependencies']['buildrequires'].items()))
+        for v in self.yaml_data['dependencies']['buildrequires'].values():
+            self.check_is_scalar(v)
 
     @error
     @guidelines_link('#Module_dependencies')
@@ -368,7 +368,5 @@ class ModuleMDLinter(object):
         """Modules MAY depend on other modules. These module relationships are
         listed in the dependencies block. Dependencies are expressed using
         module names and their stream names."""
-        self.check(all(
-            isinstance(k, self.yaml_scalar_types)
-            and isinstance(v, self.yaml_scalar_types)
-            for k, v in self.yaml_data['dependencies']['requires'].items()))
+        for v in self.yaml_data['dependencies']['requires'].values():
+            self.check_is_scalar(v)

